import { Component, Input, OnInit } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NzSpaceModule } from 'ng-zorro-antd/space';
import { CommonCompModule } from '../../../services/common.modules';
import { NzTabsModule } from 'ng-zorro-antd/tabs';
import { ProcessComponent } from '../components/process/process.component';
import { CreateCollectionComponent } from '../create-collection/create-collection.component';
import { ActivatedRoute, Router } from '@angular/router';
import Parse from 'parse';
import { NzAvatarModule } from 'ng-zorro-antd/avatar';
import { NzDropDownModule } from 'ng-zorro-antd/dropdown';
import { NzPopoverModule } from 'ng-zorro-antd/popover';
import { NzTagModule } from 'ng-zorro-antd/tag';
@Component({
  selector: 'app-user-edit',
  templateUrl: './user-edit.component.html',
  styleUrls: ['./user-edit.component.scss'],
  imports: [
    CommonModule,
    NzSpaceModule,
    CommonCompModule,
    NzTabsModule,
    ProcessComponent,
    CreateCollectionComponent,
    NzAvatarModule,
    NzDropDownModule,
    NzPopoverModule,
    NzTagModule
  ],
  standalone: true,
})
export class UserEditComponent  implements OnInit {
  visible: boolean = false;
  inputValue:string = ''
  
  user:Parse.Object |any
  profile:Parse.Object |any

  constructor(
    private activeRoute:ActivatedRoute,
    private router: Router,
  ) { }

  ngOnInit() {
    this.activeRoute.paramMap.subscribe(async (params) => {
      let id = params.get('id');
      console.log(id);
      if (id) {
        let query = new Parse.Query("_User")
        this.user = await query.get(id)
      }
    })
  }

}
