import { MatDialog } from "@angular/material/dialog";
import { Router } from "@angular/router";
import Parse from "parse";
import { ParseSchema } from "./func-parse";

export const Profile:ParseSchema = {
    title:"报送人",
    className:"Profile",
    emptyImg:"/img/webhook-empty.png",
    include:["user"],
    buttons:[
        {
            name:"编辑",
            place:"item",
            show:(options:{object:Parse.Object})=>{
                if(location?.pathname=='/nav-admin/manage/user'){
                    return true
                }
                return false
            },
            handle:(options:{dialog:MatDialog,object:Parse.Object,router?:Router})=>{
                options.router?.navigate(['/nav-admin/manage/user/edit',{id:options.object?.get('user').id}])
            }
        },
        {
            name:"通过账号",
            place:"item",
            show:(options:{object:Parse.Object})=>{
                if(location?.pathname=='/nav-admin/manage/user'){
                    return true
                }
                return false
            },
            handle:(options:{dialog:MatDialog,object:Parse.Object,router?:Router})=>{
               
            }
        },
        {
            name:"禁用账号",
            place:"item",
            show:(options:{object:Parse.Object})=>{
                if(location?.pathname=='/nav-admin/manage/user'){
                    return true
                }
                return false
            },
            handle:(options:{dialog:MatDialog,object:Parse.Object,router?:Router})=>{
                
            }
        },
        {
            name:"删除账号",
            place:"item",
            show:(options:{object:Parse.Object})=>{
                if(location?.pathname=='/nav-admin/manage/user'){
                    return true
                }
                return false
            },
            handle:(options:{dialog:MatDialog,object:Parse.Object,router?:Router})=>{
                
            }
        }
    ],
    fieldsArray:[
        {key:"user",name:"用户",type:"Pointer",targetClass:"_User",isHeader:true,showName:"${mobile}"},
        {key:"user",name:"姓名",type:"Pointer",targetClass:"_User",isHeader:true,showName:"${name}"},
        {key:"user",name:"手机号",type:"Pointer",targetClass:"_User",isHeader:true,showName:"${phone}"},
        {key:"user",name:"邮箱",type:"Pointer",targetClass:"_User",isHeader:true,showName:"${email}"},
        // {key:"name",name:"姓名",type:"String",isHeader:true},
        // {key:"mobile",name:"手机号",type:"String",isHeader:true},
        // {key:"emal",name:"邮箱",type:"String",isHeader:true},
        {key:"createdAt",name:"创建时间",type:"Date",isHeader:true,},
    ]
}